Skip to main content
POST
/
custom-domain-routes
Create a route
curl --request POST \
  --url https://api.awardee.dev/v1/custom-domain-routes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "chatbot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "kb_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_default": true
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "chatbot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "kb_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_default": true,
  "url": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Headers

Idempotency-Key
string

Opaque key that makes this POST safe to retry. Responses are cached for 24h per API key.

Maximum string length: 255

Body

application/json
domain_id
string<uuid>
required
slug
string
required
Maximum string length: 255
Pattern: ^[a-z0-9-]*$
type
enum<string>
required
Available options:
chatbot,
kb,
page
chatbot_id
string<uuid> | null
kb_id
string<uuid> | null
page_id
string<uuid> | null
is_default
boolean

Response

Route created

object
string
required
Allowed value: "custom_domain_route"
id
string<uuid>
required
domain_id
string<uuid>
required
slug
string
required
type
enum<string>
required
Available options:
chatbot,
kb,
page
chatbot_id
string<uuid> | null
required
kb_id
string<uuid> | null
required
page_id
string<uuid> | null
required
is_default
boolean
required
url
string | null
required

Public vanity URL — null until the parent domain is verified.

created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$